use serde::{Deserialize, Serialize};

use super::Dispatch;

#[derive(Debug, Serialize, Deserialize)]
#[serde(tag = "t", content = "d", rename_all = "SCREAMING_SNAKE_CASE")]
pub enum Payload {
    Dispatch {
        #[serde(rename = "e")]
        event: Dispatch,
        #[serde(rename = "r")]
        recipients: Vec<String>,
    },
    Hello,
    Identify {
        token: String,
    },
}
